io.vertx.kafka.admin

## Class MemberDescription

- java.lang.Object
- - io.vertx.kafka.admin.MemberDescription

-     public class MemberDescription
      extends Object

  A detailed description of a single group instance in the cluster

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MemberDescription()` Constructor
    `MemberDescription(JsonObject json)` Constructor (from JSON representation)
    `MemberDescription(String consumerId, String clientId, String host, MemberAssignment assignment)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MemberAssignment` | `getAssignment()`
    `String` | `getClientId()`
    `String` | `getConsumerId()`
    `String` | `getHost()`
    `MemberDescription` | `setAssignment(MemberAssignment assignment)` Set the assignment of the group member
    `MemberDescription` | `setClientId(String clientId)` Set the client id of the group member
    `MemberDescription` | `setConsumerId(String consumerId)` Set the consumer id of the group member
    `MemberDescription` | `setHost(String host)` Set the host where the group member is running
    `JsonObject` | `toJson()` Convert object to JSON representation
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MemberDescription

          public MemberDescription()

      Constructor

    - #### MemberDescription

          public MemberDescription(String consumerId,
                                   String clientId,
                                   String host,
                                   MemberAssignment assignment)

      Constructor
      Parameters:
        `consumerId` - the consumer id of the group member
        `clientId` - the client id of the group member
        `host` - the host where the group member is running
        `assignment` - the assignment of the group member

    - #### MemberDescription

          public MemberDescription(JsonObject json)

      Constructor (from JSON representation)
      Parameters:
        `json` - JSON representation

  - ### Method Detail

    - #### getConsumerId

          public String getConsumerId()

      Returns:
        the consumer id of the group member

    - #### setConsumerId

          public MemberDescription setConsumerId(String consumerId)

      Set the consumer id of the group member
      Parameters:
        `consumerId` - the consumer id of the group member
      Returns:
        current instance of the class to be fluent

    - #### getClientId

          public String getClientId()

      Returns:
        the client id of the group member

    - #### setClientId

          public MemberDescription setClientId(String clientId)

      Set the client id of the group member
      Parameters:
        `clientId` - the client id of the group member
      Returns:
        current instance of the class to be fluent

    - #### getAssignment

          public MemberAssignment getAssignment()

      Returns:
        the assignment of the group member

    - #### setAssignment

          public MemberDescription setAssignment(MemberAssignment assignment)

      Set the assignment of the group member
      Parameters:
        `assignment` - the assignment of the group member
      Returns:
        current instance of the class to be fluent

    - #### getHost

          public String getHost()

      Returns:
        the host where the group member is running

    - #### setHost

          public MemberDescription setHost(String host)

      Set the host where the group member is running
      Parameters:
        `host` - the host where the group member is running
      Returns:
        current instance of the class to be fluent

    - #### toJson

          public JsonObject toJson()

      Convert object to JSON representation
      Returns:
        JSON representation

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022 Eclipse. All rights reserved.